Loading...
Searching...
No Matches
Opm::BlackOilExtboModule< TypeTag, enableExtboV > Class Template Reference

Contains the high level supplements required to extend the black oil model. More...

`#include <blackoilextbomodules.hh>`

## Static Public Member Functions

static void | setParams (BlackOilExtboParams< Scalar > &&params)
| Set parameters.
static void | registerParameters ()
| Register all run-time parameters for the black-oil solvent module.
static void | registerOutputModules (Model &, Simulator &)
| Register all solvent specific VTK and ECL output modules.
static bool | primaryVarApplies (unsigned pvIdx)
static std::string | primaryVarName (unsigned pvIdx)
static Scalar | primaryVarWeight (unsigned pvIdx)
static bool | eqApplies (unsigned eqIdx)
static std::string | eqName (unsigned eqIdx)
static Scalar | eqWeight (unsigned eqIdx)
template<class LhsEval>
static void | addStorage (Dune::FieldVector< LhsEval, numEq > &storage, const IntensiveQuantities &intQuants)
static void | computeFlux (RateVector &flux, const ElementContext &elemCtx, unsigned scvfIdx, unsigned timeIdx)
static void | assignPrimaryVars (PrimaryVariables &priVars, Scalar zFraction)
| Assign the solvent specific primary variables to a PrimaryVariables object.
static void | updatePrimaryVars (PrimaryVariables &newPv, const PrimaryVariables &oldPv, const EqVector &delta)
| Do a Newton-Raphson update the primary variables of the solvents.
static Scalar | computeUpdateError (const PrimaryVariables &, const EqVector &)
| Return how much a Newton-Raphson update is considered an error.
static Scalar | computeResidualError (const EqVector &resid)
| Return how much a residual is considered an error.
template<class DofEntity>
static void | serializeEntity (const Model &model, std::ostream &outstream, const DofEntity &dof)
template<class DofEntity>
static void | deserializeEntity (Model &model, std::istream &instream, const DofEntity &dof)
template<typename Value>
static Value | xVolume (unsigned pvtRegionIdx, const Value &pressure, const Value &z)
template<typename Value>
static Value | yVolume (unsigned pvtRegionIdx, const Value &pressure, const Value &z)
template<typename Value>
static Value | pbubRs (unsigned pvtRegionIdx, const Value &z, const Value &rs)
template<typename Value>
static Value | pbubRv (unsigned pvtRegionIdx, const Value &z, const Value &rv)
template<typename Value>
static Value | oilViscosity (unsigned pvtRegionIdx, const Value &pressure, const Value &z)
template<typename Value>
static Value | gasViscosity (unsigned pvtRegionIdx, const Value &pressure, const Value &z)
template<typename Value>
static Value | bo (unsigned pvtRegionIdx, const Value &pressure, const Value &z)
template<typename Value>
static Value | bg (unsigned pvtRegionIdx, const Value &pressure, const Value &z)
template<typename Value>
static Value | rs (unsigned pvtRegionIdx, const Value &pressure, const Value &z)
template<typename Value>
static Value | rv (unsigned pvtRegionIdx, const Value &pressure, const Value &z)
static Scalar | referenceDensity (unsigned regionIdx)
static Scalar | zLim (unsigned regionIdx)
template<typename Value>
static Value | oilCmp (unsigned pvtRegionIdx, const Value &z)
template<typename Value>
static Value | gasCmp (unsigned pvtRegionIdx, const Value &z)

## Detailed Description

template<class TypeTag, bool enableExtboV = getPropValue<TypeTag, Properties::EnableExtbo>()>
class Opm::BlackOilExtboModule< TypeTag, enableExtboV >

Contains the high level supplements required to extend the black oil model.

The documentation for this class was generated from the following file:

- opm/models/blackoil/blackoilextbomodules.hh